> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-es/runtime-de-la-escena/modulos-de-runtime/signed-fetch.md).

# Signed Fetch

El `SignedFetch` módulo proporciona una implementación de la `fetch` interfaz que es transparentemente compatible con el [signed fetch](https://github.com/decentraland/docs/blob/main/auth/signed_fetch/README.md) protocolo, que define cómo adjuntar firmadas [cadenas de autenticación](https://github.com/decentraland/docs/blob/main/auth/authchain/README.md) a solicitudes salientes.

Los procedimientos para firmar y verificar esta solicitud se detallan en el [auth chain](https://github.com/decentraland/docs/blob/main/contributor/auth/authchain/README.md) página.

Usando `SignedFetch` desde una escena requiere el [`USE_FETCH`](https://github.com/decentraland/docs/blob/main/contributor/content/entity-types/scenes/README.md#permissions) permission.

### Métodos

**`signedFetch`**

Realiza una solicitud HTTP como lo harías con ([`fetch`](https://github.com/decentraland/docs/blob/main/contributor/globals/README.md#http)), agregando automáticamente las cabeceras de verificación.

```ts
interface Request {
  // La URL objetivo de la solicitud:
  url: string;

  // Parámetros opcionales y autoexplicativos para la solicitud:
  init?: {
    method?: string;
    body?: string;
    headers: { [key: string]: string };
  };
}

interface Response {
  // Si la solicitud HTTP se realizó con éxito (códigos distintos de 2xx no son fallos)
  ok: boolean;

  // Los detalles autoexplicativos de la respuesta:
  status: number;
  statusText: string;
  headers: { [key: string]: string };
  body: string;
}

function signedFetch(Request): Promise<Response>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-es/runtime-de-la-escena/modulos-de-runtime/signed-fetch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
